Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Release PocketMine-MP 1.4 Stable is now available!

Comments in 'PocketMine News' started by shoghicp, Jan 2, 2015.

Thread Status:
Not open for further replies.
  1. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    What?
    Code:
    git submodule update --init --recursive
  2. thebigsmileXD
    Offline

    thebigsmileXD Banned

    Joined:
    May 19, 2015
    Posts:
    845
    Plugins:
    1
    Minecraft User:
    XenialDan
    You know not everyone has git, especially if they want to host it on a phone or freehost?

    whole spl folder (or spc) is missing, even tho the bin folder.
  3. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Then don't accuse PocketMine for "missing source files". They aren't missing. It is just you are cloning the repo incorrectly (fine, GitHub is letting you download the incorrect zipball, if you insist), not that PocketMine has missing files.
    Actually, RakLib and SPL are not part of PocketMine Core. They are libraries used by PocketMine. It is unreasonable to put the files inside the PocketMine-MP repo in that case.
  4. thebigsmileXD
    Offline

    thebigsmileXD Banned

    Joined:
    May 19, 2015
    Posts:
    845
    Plugins:
    1
    Minecraft User:
    XenialDan
    Then, why were i able to download them since 0.10? 0.11 also had them, then they were gone.
  5. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    How do you download them?
    If you are using the GitHub "Download ZIP" button, then it is GitHub's fault. But in no ways is this related to PocketMine itself
    Before then, probably because PocketMine did not use submodules, or whatever. In the end it is still your own fault downloading them incorrectly.
  6. thebigsmileXD
    Offline

    thebigsmileXD Banned

    Joined:
    May 19, 2015
    Posts:
    845
    Plugins:
    1
    Minecraft User:
    XenialDan
    -.- I download it the exact same way. Getting the zip on GitHub and using it. 0.10-0.11 This worked fine.
  7. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,306
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Probably because submodules weren't used yet in 0.11. But after all, this is either your problem or GitHub's problem, but not PocketMine's problem.
    Just look at many other Java programs, for example. They use libraries as well, but you won't download the libraries when you download their sources. Same here; RakLib and SPL are libraries, not part of PocketMine, so why should the zip button download them as well? The zip download is about downloading source, not about downloading a usable copy.

    (Interesting fact: What were we using PHP for in the first place? Convenience; straightforward usage without compiling. What are we doing now?)
Thread Status:
Not open for further replies.

Share This Page

Advertisement